"""
Product initialization

$Id: __init__.py 2 2007-12-28 13:12:55Z gael.le-mignot $
"""

from Products.CMFCore.utils import ToolInit
from Products.CMFCore.DirectoryView import registerDirectory

from config import GLOBALS, SKINS_DIR, PROJECT_NAME

registerDirectory(SKINS_DIR, GLOBALS)


def initialize(context):
    from tools import SmartKwManagerTool

    ## Initialize tools
    tools = (SmartKwManagerTool.SmartKwManagerTool, )
    ToolInit(SmartKwManagerTool.META_TYPE,
             tools=tools,
             icon='tool.gif').initialize(context)

