## Controller Python Script "smart_keyword_edit"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=items,b_start=0,b_size=20,global_add=[],global_remove=[]
##title=
##

tool = context.portal_smart_keyword_manager

# Cook global add and global remove
def cook(what, joinfirst = True):
    if joinfirst:
        what = tool.separator.join(what)
    what = [ kw.strip() for kw in what.split(tool.separator) ]
    what = [ kw for kw in what if kw ]
    return what

global_add = cook(global_add)
global_remove = cook(global_remove)

# Convert items into dictonnary
items = dict([ (item["uid"], item) for item in items ])

# Now proceed
for item in context.queryCatalog():
    uid = item.UID
    values = items.get(uid, {})
    add = values.get("add", "")
    add = cook(add, False)
    delete = values.get("delete", [])
    tool.modifyKeywords(uid, add + global_add, delete + global_remove)

params = "?b_size:int=%d&b_start:int=%d" % (b_size, b_start)
return context.REQUEST.RESPONSE.redirect(context.absolute_url() + "/smart_keyword_edit_form" + params)
